<?php
	if (!defined('BASE_DIR')) exit;
	
	if (isset($_COOKIE['PHPSESSION'])) {
		$sessionId = addslashes($_COOKIE['PHPSESSION']);
		require_once(BASE_DIR . '/session.php');
		$res = Session::authorize($sessionId);
		if (!$res) {
			$msg = "Your session has expired. Please login again...";
			$msg = urlencode($msg);
			header("Location: /php/index.php?msg=$msg");
			exit;
		}
	} else {
		$msg = "You must login first...";
		$msg = urlencode($msg);
		header("Location: /php/index.php?msg=$msg");
		exit;
	}